<div class="app flex-row align-items-center">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8 col-md-12">
                <div class="card-group">
                    <div class="card p-4">
                        <div class="card-body">
                            <h1>Login</h1>
                            <p class="text-muted">Sign In to your account</p>
                            <form class="login-form" [formGroup]="loginForm" (ngSubmit)="LogIN()">

                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label for="UserName" class="input-group-text">
                                            <i class="icon-user"></i>
                                        </label>
                                    </div>
                                    <input id="UserName" formControlName="UserName" type="text" class="form-control"
                                        placeholder="User Name"
                                        [ngClass]="{ 'is-invalid': loginForm.controls.UserName.touched && loginForm.controls.UserName.errors,
                                        'is-valid': loginForm.controls.UserName.touched && !loginForm.controls.UserName.errors }">
                                        <div class="invalid-feedback">
                                            Please enter username.
                                        </div>
                                </div>
                                <div class="input-group mb-4">
                                    <div class="input-group-prepend">
                                        <label for="Password" class="input-group-text">
                                            <i class="icon-lock"></i>
                                        </label>
                                    </div>
                                    <input id="Password" formControlName="Password" type="password" class="form-control"
                                        placeholder="Password"
                                        [ngClass]="{ 'is-invalid': loginForm.controls.Password.touched && loginForm.controls.Password.errors,
                                    'is-valid': loginForm.controls.Password.touched && !loginForm.controls.Password.errors }">
                                    <div class="invalid-feedback">
                                        Please enter password.
                                    </div>
                                   
                                </div>
                                <div class="row">
                                   
                                    <div class="col-6" style="padding: 0;">
                                        <button style="width: 100%;" [ngClass]="{ 'is-invalid': invalidBtn}" class="btn btn-outline-primary px-4" type="submit" [innerHTML]="btnLoginText | safeHtml" [disabled]="submitted" [disabled]="loginForm.invalid"></button>
                                        <div class="invalid-feedback " style="position: fixed;">
                                            Please enter valid user name or password.
                                        </div>
                                    </div>
                                    <div class="col-6" style="padding: 0px; padding-left: 10px;">
                                        <button class="btn btn-link px-0" type="button" style="font-size: 12px;">Forgot password?</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="card text-white bg-primary py-5 d-md-down-none" style="width:44%">
                        <div class="card-body text-center">
                            <div>
                                <h2>Chat Bot</h2>
                                <p class="text-left mb-3">
                                    Build <b>Intelligent Virtual Assistants</b> for your Business. Automate your customer service with ChatBot 
                                    and never miss a chance to sell or help your customers. 
                                </p>
                                <a target="_blank" href="https://systemtricks.com/#contact" class="btn btn-primary" >Contact Us</a> To get an account.
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>